Download it now!
Bug 122342 - FILEOPEN DOCX Auto spacing from numbered list style becomes 0.49 cm
Summary: FILEOPEN DOCX Auto spacing from numbered list style becomes 0.49 cm
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Bullet-Number-Outline-Lists
  Show dependency treegraph
 
Reported: 2018-12-27 10:06 UTC by Gabor Kelemen
Modified: 2020-05-11 07:26 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word with auto spacing and numbering (12.15 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-12-27 10:06 UTC, Gabor Kelemen
Details
Screenshot of the example file in Word 2013 and LO 6.3 alpha (86.68 KB, image/png)
2018-12-27 10:07 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2018-12-27 10:06:48 UTC
Created attachment 147854 [details]
Example file from Word with auto spacing and numbering

Attached docx document has a custom style that defines spacing after paragraph as auto and also sets a numbering style.

On opening the file the spacing becomes 0.49 cm instead of 0.

To reproduce:
1, Create a custom style in Word. Set the paragraph spacing after to "auto". This makes the spacing grow in Word.
2, Also set numbering (any one of them will do) for this paragraph. This makes the spacing shrink in Word.
3, Format some paragraphs with this style and save the file.

Actual results:
The spacing after the paragraph grows in Writer, but not in Word.

Version: 6.3.0.0.alpha0+
Build ID: 993913469e74e9db9743004bbe36aa412411671c
CPU threads: 4; OS: Windows 6.3; UI render: GL; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: threaded
Comment 1 Gabor Kelemen 2018-12-27 10:07:26 UTC
Created attachment 147855 [details]
Screenshot of the example file in Word 2013 and LO 6.3 alpha
Comment 2 Xisco Faulí 2018-12-27 10:14:59 UTC
Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: 936f6a85649c0fd71eee484e7399d445f4040586
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded


Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.15; Render: default; 

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

but not in

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 3 raal 2018-12-29 07:40:18 UTC
This seems to have begun at the below commit.
Adding Cc: to Armin Le Grand; Could you possibly take a look at this one?
Thanks


d48013eaa4a4d0aa2c702588af0cefe8fad307a5 is the first bad commit
commit d48013eaa4a4d0aa2c702588af0cefe8fad307a5
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Sat Sep 5 17:59:25 2015 +0800

    source-hash-12a4200e8ff7f045efcc7e9d15a24b15b248c437

    commit 12a4200e8ff7f045efcc7e9d15a24b15b248c437
    Author:     Armin Le Grand <alg@apache.org>
    AuthorDate: Thu Aug 9 08:42:27 2012 +0000
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Tue May 28 15:55:23 2013 +0100

        Related: #i120498# Enhanced Undo/Redo and user experience...

        when editing texts in graphic objects and/or tables

        (cherry picked from commit a096725779b210c7a2706e72596fd7c80e049fdd)

        Conflicts:
            editeng/inc/editeng/editeng.hxx
            editeng/inc/editeng/editund2.hxx
            editeng/inc/editeng/outliner.hxx
            editeng/source/editeng/editundo.cxx
            editeng/source/editeng/impedit.hxx
            editeng/source/outliner/outliner.cxx
            sd/source/core/undo/undomanager.cxx
            sd/source/ui/view/drviewse.cxx
            svx/Library_svxcore.mk
            svx/Package_inc.mk
            svx/inc/svx/svdedxv.hxx
            svx/source/svdraw/svdedxv.cxx

        Change-Id: I40e3ef2dff681f9b6f2f6b5d35507071f8110533

        Comment unused variable pNewEditUndoManager to silence the compiler

        (cherry picked from commit 568655083af7830e7b9edf56ef862ddf9a99003b)

        Change-Id: Ib7179ee6c34ce03a75942978831c3a55968f161f

        Removed unused variable

        (cherry picked from commit 0bbde4414badfd40234de4a4c9f750194f5d1d5e)

        Change-Id: I39e7f25426e8e7d1367102d603b0f6c84d96622f
Comment 4 Commit Notification 2020-05-06 21:03:10 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/03c1b327b7a504c304c9f95727f9d43310d08ec1

tdf#122342 DOCX import: fix bottom auto margin in lists

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-05-11 07:26:04 UTC
Verified in

Version: 7.0.0.0.alpha1+
Build ID: 86bc13248c1d9f63b10aac304bdf0361d1dcc47f
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@László Németh, thanks for fixing this issue!!